### Name: cm
### Title: Hierarchical Credibility Models
### Aliases: cm print.cm predict.cm summary.cm print.summary.cm
### Keywords: models

### ** Examples

data(hachemeister)

## Simple Bhlmann-Straub model
cm(~state, hachemeister,
   ratios = ratio.1:ratio.12, weights = weight.1:weight.12)
bstraub(hachemeister[, 2:13], hachemeister[, 14:25]) # same, faster

## Two-level hierarchical model. Notice that data does not have
## to be sorted by level
X <- cbind(unit = c(1, 2, 1, 2, 2), hachemeister)
fit <- cm(~unit + unit:state, X, ratio.1:ratio.12, weight.1:weight.12)
fit                             # print method
summary(fit)                    # more details
predict(fit)                    # credibility premiums



